

# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0

%global import_path github.com/cri-o/cri-o
%global service_name crio
%global golang_version 1.12.10

Name: conmon
Version: 1.15.3
Release: 1.0.3%{?dist}
Epoch:   3
ExcludeArch: ppc64
Summary: OCI container runtime monitor
License: ASL 2.0
URL: https://%{import_path}
Vendor:  Oracle America
Source0: %{name}-%{version}.tar.bz2

BuildRequires: golang >= %{golang_version}
BuildRequires: btrfs-progs-devel
BuildRequires: device-mapper-devel
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: glibc-static
BuildRequires: go-md2man
BuildRequires: gpgme-devel
BuildRequires: libassuan-devel
BuildRequires: libseccomp-devel
BuildRequires: pkgconfig(systemd)
BuildRequires: make

%description
conmon is an OCI container runtime monitor.

%prep
%setup -q

%build
export GOPATH=$(pwd)
export GO111MODULE=off
export GO_MD2MAN=%{_bindir}/go-md2man

make all

%install
# install binaries
install -dp %{buildroot}{%{_bindir},%{_libexecdir}/crio}
install -p -m 755 bin/conmon %{buildroot}%{_libexecdir}/crio
# Latest version of podman expecting conman at different location
ln -sf %{_libexecdir}/crio/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc README.md
%{_libexecdir}/%{service_name}/conmon
%{_bindir}/%{name}

%changelog
* Thu Nov 12 2020 Tom Cocozzello <tom.cocozzello@oracle.com> - 1.15.3-1.0.3
- Define a epoch
- Add symlink for conmon under bin dir to satisfy latest podman

* Tue Mar 10 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 1.15.3-1.0.1
- Added Oracle Specifile Files for cri-o
